SDL_EnumerateDirectoryCallback(3type)

NAME
SDL_EnumerateDirectoryCallback - Callback for directory enumeration.

SYNOPSIS
#include <SDL3/SDL_filesystem.h>

typedef SDL_EnumerationResult (SDLCALL *SDL_EnumerateDirectoryCallback)(void *userdata, const char *dirname, const char *fname);

DESCRIPTION
Enumeration of directory entries will continue until either all entries have been provided to the callback, or the callback has requested a stop through its return value.

Returning SDL_ENUM_CONTINUE will let enumeration proceed, calling the callback with further entries. SDL_ENUM_SUCCESS and SDL_ENUM_FAILURE will terminate the enumeration early, and dictate the return value of the enumeration function itself.

dirname is guaranteed to end with a path separator ('\' on Windows, '/' on most other platforms).

FUNCTION PARAMETERS

userdata
    an app-controlled pointer that is passed to the callback.

dirname
    the directory that is being enumerated.

fname
    the next entry in the enumeration.

RETURN VALUE
Returns how the enumeration should proceed.

AVAILABILITY
This datatype is available since SDL 3.2.0.

SEE ALSO
SDL_EnumerateDirectory(3)